Вопросы с тегом 'pip'

Используйте для вопросов о установщике пакета Python
35
ответов

Как установить pip в Windows?

pip является заменой easy_install. Но следует ли установить pip с помощью easy_install в Windows? Есть ли лучший способ?
задан 20 янв. '11 в 21:08
21
ответ

Как установить pip на macOS или OS X?

Вчера я потратил большую часть времени на поиск четкого ответа на установку pip (диспетчер пакетов для Python). Я не могу найти хорошее решение. Как его установить?
задан 24 июня '13 в 11:44
51
ответ

Обновление всех пакетов с помощью pip

Возможно ли обновить все пакеты Python за один раз с помощью pip? Обратите внимание, что есть запрос функции для этого в официальном трекер-проблеме.
задан 27 апр. '10 в 12:23
7
ответов

Установка определенных версий пакета с помощью pip

Я пытаюсь установить версию 1.2.2 адаптера MySQL_python, используя новый virtualenv, созданный с помощью параметра --no-site-packages. Текущая версия, показанная в PyPi, 1.2.3. Есть ли способ установить более старую версию? Я нашел статью, в которой...
задан 08 марта '11 в 1:58
9
ответов

Зачем использовать pip над easy_install?

A tweet гласит: Не используйте easy_install, если вы не используете как колоть себя в лицо. Используйте pip. Зачем использовать pip над easy_install? Разве не проблема связана с PyPI и авторами пакетов в основном? Если автор загружает архивный ар...
задан 10 июля '10 в 21:35
41
ответ

Ошибка: Не удалось найти vcvarsall.bat

Я попытался установить пакет Python dulwich: pip install dulwich Но я получаю загадочное сообщение об ошибке: error: Unable to find vcvarsall.bat То же самое происходит, если я попытаюсь установить пакет вручную: > python setup.py install...
задан 12 мая '10 в 13:24
23
ответов

Как я могу получить список локально установленных модулей Python?

Я хотел бы получить список модулей Python, которые находятся в моей установке Python (сервер UNIX). Как вы можете получить список модулей Python, установленных на вашем компьютере?
задан 11 апр. '09 в 15:34
10
ответов

Как установить пакеты с помощью pip в соответствии с файлом requirements.txt из локального каталога?

Вот проблема У меня есть файл требований. выглядит так: BeautifulSoup==3.2.0 Django==1.3 Fabric==1.2.0 Jinja2==2.5.5 PyYAML==3.09 Pygments==1.4 SQLAlchemy==0.7.1 South==0.7.3 amqplib==0.6.1 anyjson==0.3 ... У меня есть каталог локального архива, ...
задан 29 авг. '11 в 6:53
19
ответов

pip install mysql-python не работает с EnvironmentError: mysql_config не найден

Это ошибка, которую я получаю (mysite)zjm1126@zjm1126-G41MT-S2:~/zjm_test/mysite$ pip install mysql-python Downloading/unpacking mysql-python Downloading MySQL-python-1.2.3.tar.gz (70Kb): 70Kb downloaded Running setup.py egg_info for package m...
задан 03 марта '11 в 11:32
11
ответов

Как установить пакет Python с .whl файлом?

У меня возникли проблемы с установкой пакета Python (в частности, JPype1 0.5.7) на моей Windows-машине и вы хотите установить его с помощью двоичных файлов Crystaloph Gohlke Window. (Что, по моему опыту, облегчило большую часть суеты для многих други...
задан 11 янв. '15 в 11:48
10
ответов

Найдите, какая версия пакета установлена ​​с помощью pip

Используя pip, можно ли определить, какая версия пакета установлена ​​на данный момент? Я знаю о pip install XYZ --upgrade, но мне интересно, есть ли что-то вроде pip info XYZ. Если не то, что было бы лучшим способом сказать, какую версию я использ...
задан 18 апр. '12 в 20:37
4
ответов

pip установить из git ветки репо

Попытка pip установить репо конкретной отрасли. Google говорит мне pip install git+ https://github.com/user/repo.git@branch Название ветки - issue/34/oscar-0.6 поэтому я pip install https://github.com/tangentlabs/django-oscar-paypal.git@/issue/34...
задан 20 нояб. '13 в 19:46
10
ответов

В чем разница между pip и conda?

Я знаю, что pip - это менеджер пакетов для пакетов python. Тем не менее, я видел, что установка на веб-сайте IPython использует conda для установки IPython. Можно ли использовать pip для установки IPython? Почему я должен использовать conda в каче...
задан 08 янв. '14 в 14:44
25
ответов

Как установить psycopg2 с помощью "pip" на Python?

Я использую virtualenv, и мне нужно установить "psycopg2". Я сделал следующее: pip install http://pypi.python.org/packages/source/p/psycopg2/psycopg2-2.4.tar.gz#md5=24f4368e2cfdc1a2b03282ddda814160 И у меня есть следующие сообщения: Downloading...
задан 24 марта '11 в 17:33
26
ответов

pg_config исполняемый файл не найден

У меня возникли проблемы с установкой psycopg2. Я получаю следующую ошибку при попытке pip install psycopg2: Error: pg_config executable not found. Please add the directory containing pg_config to the PATH or specify the full executable path with...
задан 23 июля '12 в 22:09